DefaultEditorKit.InsertTabAction (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.text, class: DefaultEditorKit, class: InsertTabAction
Keywords: javax.swing.text.DefaultEditorKit.InsertTabAction class

Module java.desktop
Package javax.swing.text

# Class DefaultEditorKit.InsertTabAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.text.TextAction
javax.swing.text.DefaultEditorKit.InsertTabAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  DefaultEditorKit

public static class DefaultEditorKit.InsertTabAction extends TextAction
Places a tab character into the document. If there is a selection, it is removed before the tab is added.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `DefaultEditorKit.insertTabAction`
  - `DefaultEditorKit.getActions()`

- ## Field Summary

  ### Fields declared in class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsertTabAction()`
  Creates this object with the appropriate identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  The operation to perform when this action is triggered.

  ### Methods declared in class javax.swing.text.TextAction

  `augmentList, getFocusedComponent, getTextComponent`

  ### Methods declared in class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.Action

  `accept`

- ## Constructor Details

  - ### InsertTabAction

    public InsertTabAction()
    Creates this object with the appropriate identifier.

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    The operation to perform when this action is triggered.
    Parameters:
      `e` - the action event